Skip to main content
PATCH
Update Policy

Path Parameters

policy_id
string<uuid>
required

Body

application/json

Request model for updating a policy. All fields are optional.

name
string | null
Required string length: 1 - 255
description
string | null
category
enum<string> | null

Category of policy document.

Available options:
privacy,
ethics,
security,
compliance,
operational,
brand,
custom
status
enum<string> | null

Status of a policy document.

Available options:
draft,
active,
archived
source_text
string | null
tags
string[] | null

Response

Successful Response

Domain model for Policy document.

id
string<uuid>
required
team_id
string<uuid>
required
name
string
required
category
enum<string>
required

Category of policy document.

Available options:
privacy,
ethics,
security,
compliance,
operational,
brand,
custom
created_at
integer
required
updated_at
integer
required
created_by
string<uuid>
required
description
string | null
status
enum<string>
default:draft

Status of a policy document.

Available options:
draft,
active,
archived
source_text
string | null
file_path
string | null
file_name
string | null
file_type
string | null
file_size_bytes
integer | null
converted_file_path
string | null
is_preset
boolean
default:false
preset_source
string | null
tags
string[] | null
Last modified on April 21, 2026